API Documentation
Integration options and API reference
API Documentation
Integrate Redactorr into your application with our REST API, JavaScript SDK, or web app at app.redactorr.com.
Coming Soon
Enterprise API access is planned for a future release.
Integration Options
1. REST API (Beta)
Send HTTP requests to detect and redact sensitive data.
Use cases:
- Backend services
- CI/CD pipelines
- Batch processing
- Serverless functions
Enterprise API access is planned for a future release. Contact [email protected] to register your interest.
2. JavaScript SDK (Beta)
Use Redactorr in Node.js or browser applications.
Use cases:
- Web applications
- Electron apps
- Chrome extensions
- Node.js scripts
Example:
3. Browser Extension
Add Redactorr to your browser for on-the-fly redaction.
Use cases:
- Email clients (Gmail, Outlook)
- Slack/Discord
- Google Docs
- CRM systems
Install:
- Chrome: Chrome Web Store
- Firefox: Firefox Add-ons
- Edge: Edge Add-ons
4. Webhooks (Enterprise)
Receive real-time notifications when events occur.
Use cases:
- Audit logging
- Compliance monitoring
- Automated workflows
- Alerting
Events:
detection.completedfile.processedbreach.foundpattern.created
API Reference (Beta)
Authentication
Include your API key in the Authorization header:
Get your API key from Settings > API Keys.
Endpoints
POST /v1/detect
Detect sensitive data in text.
Request:
Response:
POST /v1/redact
Redact sensitive data and return redaction map.
Request:
Response:
POST /v1/restore
Restore original values from redaction map.
Request:
Response:
Rate Limits
| Plan | Requests/Minute | Requests/Day |
|---|---|---|
| Free | 10 | 100 |
| Pro | 60 | 10,000 |
| Team | 120 | 50,000 |
| Enterprise | Custom | Custom |
SDK Installation
Enterprise API
Enterprise API access is planned for a future release.
Need help?